#JES- Jython Environment for Students
#Copyright (C) 2002  Jason Ergle, Claire Bailey, David Raines, Joshua Sklare
#See JESCopyright.txt for full licensing information

import java.awt as awt

APPLICATION_TITLE = 'JES - Jython Environment for Students - %s'
INITIAL_WINDOW_SIZE = (500, 600)
KEYWORD_COLOR = awt.Color(50, 50, 150)
FONT_SIZE = 12

PRE_PROCESSING_FILE = 'JESPreprocessing.py'
NO_PRE_PROCESSING_FILE_ERR_MSG = 'The file ' + PRE_PROCESSING_FILE + \
                                 ' could not be loaded.  You program '\
                                 ' will not run until this is addressed.\n'
JESPROGRAM_ERROR_LOADING_FILE = 'There was an error loading the file.  ' \
                                + 'It may not be present.  FILENAME: '
JESPROGRAM_NO_FILE = 'No file has been selected.\n' + \
                     'You must open a saved file, or save the opened file,\n' +\
                     'before clicking LOAD\n'

# The EXCEPTION_MESSAGES array contains a list of user-friendly exceptions
# messages.  Messages can also contain values that will be replaced by JES
# before displaying the message.  These values can be any attribute of the
# exception type that is being raised.
# For example, the RuntimeError exception has an attribute called 'lineno'; if
# the RuntimeError message contained '%(lineno)s', then that text would be
# replaced with the actual value of the lineno attribute.
# Example message:  "Runtime error occured on line '%(lineno)s'"
EXCEPTION_MESSAGES = {
    'AssertionError'       : 'An "assert" statement as failed.',
    'AttributeError'       : 'An attempt to access an attribute failed because the object does not contain that attribute.',
    'EOFError'             : 'The build-in read function failed because the end of the file has been reached.',
    'FloatingPointError'   : 'A floating point operation has failed.',
    'IOError'              : 'An error occurred while attempting to perform an I/O operation.',
    'ImportError'          : 'An import statement failed to find the module that was defined.',
    'IndexError'           : 'A list index is out of bounds.',
    'IndentationError'     : 'A line of code contains bad indentation.',
    'KeyError'             : 'Attempt to access a key that is not in a dictionary.',
    'KeyboardInterrupt'    : 'The user pressed the interrupt key.',
    'MemoryError'          : 'The system does not have enough memory to allocate an object.',
    'NameError'            : 'A local or global name could not be found.',
    'NotImplementedError'  : 'A method that was called must be implemented in a sub-class.',
    'OSError'              : 'An error occurred while making an operating system call.',
    'OverflowError'        : 'An arithmetic result is outside the range of acceptable values.',
    'RuntimeError'         : 'An error occurred while attempting to run the specified code.',
    'SyntaxError'          : 'A syntax error is contained in the code.',
    'SystemError'          : 'An internal system error has occurred.',
    'SystemExit'           : 'A call of the sys.exit() function has been made.',
    'TypeError'            : 'An attempt was made to call a function on an invalid type.',
    'UnboundLocalError'    : 'A local name was used before it was created.',
    'UnicodeError'         : 'An error occurred while encoding or decoding Unicode characters.',
    'ValueError'           : 'An error occurred attempting to pass an argument to a function.',
    'WindowsError'         : 'An error occurred while making an Windows system call.',
    'ZeroDivisionError'    : 'A divide by zero was attempted.'}
    
GENERIC_EXCEPTION_MESSAGE = 'An error occurred while attempting to run the specified code.\n'
