#JES- Jython Environment for Students
#Copyright (C) 2002  Jason Ergle, Claire Bailey, David Raines, Joshua Sklare
#See JESCopyright.txt for full licensing information

import JESDebugWindow
import JESDebugWindowWrapper
import sys

global __debugSystem__

__debugSystem__ = JESDebugWindowWrapper.JESDebugWindowWrapper()

################################################################################
# Function name: getVars
# Parameters:
#     -depth: the number of layers on the stack that this function must go back
#             to get the desired local variables.  The default of 1 will return 
#             local variables from the function that called it. 
# Return: 
#     A dictionary containg all global variables, and all local variables of 
#     the desired level
# Description: 
#     Generates the variables dictionary
################################################################################
def __getVars__(depth = 1):
    frame   = sys._getframe(depth)
    locals  = frame.f_locals.copy()
    globals = frame.f_globals.copy()

    variables = {}
    variables.update(locals)
    variables.update(globals)
    return variables

################################################################################
# Function name: showVars
# Description: 
#     The function provided to our users, available through the command window,     
#     that will open a popup window containing all global and local variable.
#
################################################################################
def showVars():
    global __debugSystem__
    __debugSystem__.show( __getVars__(2) )
        
